Bug 519091 - [Cisco 5.5 FEAT] Update fnic to version x.y.z
Summary: [Cisco 5.5 FEAT] Update fnic to version x.y.z
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.0
Hardware: All
OS: Linux
high
high
Target Milestone: alpha
: 5.5
Assignee: Mike Christie
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 533192 557291 533941
TreeView+ depends on / blocked
 
Reported: 2009-08-25 04:57 UTC by Abhijeet Joglekar
Modified: 2015-04-27 20:27 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:21:33 UTC


Attachments (Terms of Use)
Set scsi host max cmd len to 16 to support 16 byte CDBs (1.09 KB, patch)
2009-09-29 23:54 UTC, Abhijeet Joglekar
no flags Details | Diff
Pad unused CDB bytes to 0 (1.94 KB, patch)
2009-09-29 23:55 UTC, Abhijeet Joglekar
no flags Details | Diff
Process all posted CQ entries in ISR (3.26 KB, patch)
2009-09-29 23:56 UTC, Abhijeet Joglekar
no flags Details | Diff
Diffs of fnic bug fixes (patches) (1.62 KB, application/octet-stream)
2010-02-13 02:56 UTC, Venkata Siva Vijayendra Bhamidipati
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Abhijeet Joglekar 2009-08-25 04:57:42 UTC
1.  Feature Overview:
     a. Name of feature:
        (Can be 'See Summary')

     b. Feature Description
        (Functional description of requested feature with sufficient detail)


2.  Feature Details:
     a. Architectures:
         32-bit x86
         64-bit Intel EM64T/AMD64
         64-bit Itanium2
                :
     b. Red Hat Bugzilla Dependencies:
        (Are there other RHEL 5.x bugzillas that this bug depends on?)

     c. Drivers or hardware dependencies:
        (Are there updated driver versions required?)
        (When will Red Hat receive test hardware if applicable?)

     d. Upstream acceptance information:
        (When was this accepted upstream, or when will this be submitted upstream?)

     e. External links:
        (Are there links to committed upstream patches?)
         http://...

     f. Severity (U,H,M,L):
         Urgent (requires business justification in revenue impact)
         High (required for Hardware Enablement)
         Medium
         Low

     g. Target Release Date:
        (Is there a GA/release date of partner product requiring this feature?)


3. Business Justification:
     a. Why is this feature needed?
     b. What hardware does this enable?
     c. Forecast, impact on revenue?
        (include high/low volume with high/low-end platform info)
     d. Any configuration info?
     e. Are there other dependencies (drivers).

4. Primary contact at Red Hat, email, phone (chat)
    First_Name Last_Name
    xxx_xxxx@redhat.com
     Phone Number

5. Primary contact at Partner, email, phone (chat)
    First_Name Last_Name
    xxx_xxxx@partner.com
     Phone Number

Comment 1 Andrius Benokraitis 2009-09-16 16:49:04 UTC
Mike - will you be doing the backport, or are you expecting Cisco to do it and then post it here?

Comment 3 Mike Christie 2009-09-16 17:25:22 UTC
Cisco, for 5.5 will you be wanting us to rebase libfc to whatever is upstream around that time? If so I can do that.

Will there be lots of fnic changes around that time?

Comment 4 Joe Eykholt 2009-09-16 17:36:32 UTC
That'd be great if you could rebase libfc.
There are a number of issues fixed there.
A couple of them require corresponding minor fnic changes, but the
patches take care of that

We have a smallish number of fnic fixes, I'll let Abhijeet
communicate those to you.  We're trying to get those upstream as well.
One change is FIP support which we're hoping to get upstream soon.

Comment 5 Mike Christie 2009-09-16 17:53:23 UTC
Ok, just to make sure we are on the same page. I do not have time to do the rebase for a 5.4.z like you guys were asking about before. For that you will have to do the port or wait for me to do the port for 5.5 which could be used for a 5.4.z.

I will not be doing the port until some time closer to the RHEL 5.5 kernel submission date, because I am stuck on RHEL 6 and other RHEL 5.5 stuff.

Comment 8 Andrius Benokraitis 2009-09-29 20:50:33 UTC
Abhijeet - do you have a patchset that applies cleanly to 5.4 GA ready for posting?

Comment 9 Abhijeet Joglekar 2009-09-29 20:56:00 UTC
working on getting that ready.

Comment 10 Abhijeet Joglekar 2009-09-29 23:54:15 UTC
Created attachment 363064 [details]
Set scsi host max cmd len to 16 to support 16 byte CDBs

Comment 11 Abhijeet Joglekar 2009-09-29 23:55:08 UTC
Created attachment 363065 [details]
Pad unused CDB bytes to 0

Comment 12 Abhijeet Joglekar 2009-09-29 23:56:00 UTC
Created attachment 363066 [details]
Process all posted CQ entries in ISR

Comment 13 Chris Ward 2009-11-10 12:25:55 UTC
@Cisco

We need to confirm that there is commitment to test 
for the resolution of this request during the RHEL 5.5 Beta 
Test Phase before we can approve it for acceptance into the 
release.

RHEL 5.5 Beta Test Phase is expected to begin around February
2010.

In order to avoid any unnecessary delays, please post a 
confirmation as soon as possible, including the contact 
information for testing engineers.

Comment 14 Abhijeet Joglekar 2009-11-10 16:03:37 UTC
yes, there is plan to test for RHEL 5.5 fnic/libfc. We are currently waiting for libfc backport from upstream/open-fcoe to RHEL 5.5

Comment 17 Abhijeet Joglekar 2009-11-21 00:30:38 UTC
Chris,

The Cisco QA contact is Anthony Kent <antkent@cisco.com>.

We plan to test fnic/libfc for RHEL 5.5 beta

-- abhijeet

Comment 18 Mike Christie 2009-12-02 17:26:12 UTC
Abhijeet,

The libfc/fcoe.ko update is here:
http://people.redhat.com/mchristi/fc/fcoe/5.5/0001-libfc-update-libfc-and-fcoe.patch

For fnic in RHEL 5.5 did you need more than just the fixes in comments #10-12?

Comment 19 Abhijeet Joglekar 2009-12-02 17:35:06 UTC
Mike,

Yes, for 5.5, we want to rebase fnic from fcoe-next tree so that it picks support for FIP. The backport portion is the same as from 5.4 (just the scsi tag map code and any minor workqueue API changes between upstream and 5.5)

thanks
-- abhijeet

Comment 23 Jarod Wilson 2010-01-18 20:08:39 UTC
in kernel-2.6.18-185.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 25 Abhijeet Joglekar 2010-01-18 21:16:06 UTC
Downloaded and being tested. Thanks.

Comment 26 Chris Ward 2010-02-11 10:14:49 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 27 Abhijeet Joglekar 2010-02-11 19:21:54 UTC
Full testing had started with pre-Beta drop. There are 3 patches for fnic for bugs found during QA testing. Two fixes are in fnic, 1 fix is in libfcoe. Libfcoe fix is already present in the upstream open-fcoe tree. fnic fixes will also get submitted today.

Will upload fixes to this bugzilla later today or latest by tomorrow.

-- abhijeet

Here's the email thread with Andrius/Mike/Tom from last week:

****************************************

> -----Original Message-----
> From: Andrius T. Benokraitis [mailto:andriusb@redhat.com]
> Sent: Wednesday, February 03, 2010 10:09 AM
> To: Abhijeet Joglekar (abjoglek)
> Cc: Scott Feldman (scofeldm); Venkata Siva Vijayendra Bhamidipati 
> (vbhamidi); Mike Christie; Tom Coughlan
> Subject: Re: Rhel 5.5 fnic update
> 
> Abhijeet Joglekar (abjoglek) wrote:
> > Andrius,
> > 
> > QA runs are in progress with 185 kernel and in-built fnic/libfc; 
> > currently we have 2 bug fixes for fnic. Would upload
> patches to fnic
> > bugzilla by end of week.
> > 
> > Thanks,
> > -- abhijeet
> 
> thanks for the heads up - how nasty are the issues?
> 
> A.

Both are minor changes, well understood, and well contained within the fnic driver without any side-effects.

(1) Lport stats state was not initialized in fnic_probe. This patch is present upstream, but, Mike's snapshot for 5.5 was probably done before the patch went upstream. It’s a 1-line change to initialize lport stats.

(2) To enable FIP support in fnic, we have to register with hardware to receive FIP solication frames on a well-known multicast address. Before FIP support, the firmware interface allowed multicast address registrations only for enic devices. This is a minor change to allow firmware interface to now register mcast addresses for fnic too.

-- abhijeet

Comment 28 Venkata Siva Vijayendra Bhamidipati 2010-02-13 02:56:10 UTC
Created attachment 390612 [details]
Diffs of fnic bug fixes (patches)


There is a fourth patch that needs to be picked up from the upstream fcoe-fixes tree. The URL of the patch is given below -

X-Git-Url:

http://www.open-fcoe.org/openfc/gitweb/?p=openfc%2Ffcoe-fixes.git;a=commitdiff_plain;h=df93357a349000435e787e9afdcd33413c9b32bb


libfcoe: Send port LKA every FIP_VN_KA_PERIOD secs.

Comment 29 Venkata Siva Vijayendra Bhamidipati 2010-02-13 02:58:26 UTC
The patches in the above attachment are based on internal QA testing, more testing is in progress.

Comment 30 Andrius Benokraitis 2010-02-14 21:03:34 UTC
Venkata, please create a new bugzilla and add what's in Comment #28 since this bugzilla is in ON_QA.

Comment 31 Venkata Siva Vijayendra Bhamidipati 2010-02-15 17:53:31 UTC
Hi Andrius, I've logged a new bugzilla bug 565594 as suggested.

Comment 33 errata-xmlrpc 2010-03-30 07:21:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.